summaryrefslogtreecommitdiffstats
path: root/source/n/stunnel
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/stunnel')
-rw-r--r--source/n/stunnel/generate-stunnel-key.sh2
-rw-r--r--source/n/stunnel/slack-desc6
-rwxr-xr-xsource/n/stunnel/stunnel.SlackBuild18
-rw-r--r--source/n/stunnel/stunnel.url1
4 files changed, 18 insertions, 9 deletions
diff --git a/source/n/stunnel/generate-stunnel-key.sh b/source/n/stunnel/generate-stunnel-key.sh
index 6b344964b..b24b4ba8a 100644
--- a/source/n/stunnel/generate-stunnel-key.sh
+++ b/source/n/stunnel/generate-stunnel-key.sh
@@ -2,7 +2,7 @@
USE_DH=0
openssl req -new -x509 -days 365 -nodes \
- -config ./stunnel.cnf -out stunnel.pem -keyout stunnel.pem
+ -config ./openssl.cnf -out stunnel.pem -keyout stunnel.pem
test $USE_DH -eq 0 || openssl gendh >> stunnel.pem
diff --git a/source/n/stunnel/slack-desc b/source/n/stunnel/slack-desc
index f8ee5bc47..ed9b65d7a 100644
--- a/source/n/stunnel/slack-desc
+++ b/source/n/stunnel/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
diff --git a/source/n/stunnel/stunnel.SlackBuild b/source/n/stunnel/stunnel.SlackBuild
index e8940bb36..f464331c0 100755
--- a/source/n/stunnel/stunnel.SlackBuild
+++ b/source/n/stunnel/stunnel.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,6 +20,7 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=stunnel
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
@@ -35,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-stunnel
@@ -80,7 +88,7 @@ CFLAGS="$SLKCFLAGS" \
--sbindir=/usr/sbin \
--bindir=/usr/bin \
--localstatedir=/var \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
@@ -94,7 +102,7 @@ mkdir -p $PKG/usr/sbin
mkdir -p $PKG/var/run/stunnel
# This will produce a useless key.
-make -i install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
# Get rid of key, so nobody tries to use it:
rm -f $PKG/etc/stunnel/stunnel.pem
# Add cnf:
diff --git a/source/n/stunnel/stunnel.url b/source/n/stunnel/stunnel.url
new file mode 100644
index 000000000..01a60a7e0
--- /dev/null
+++ b/source/n/stunnel/stunnel.url
@@ -0,0 +1 @@
+https://www.stunnel.org/downloads.html